/* 
   cdfunc.h

   Base definitions

   Copyright (C) 1996 Free Software Foundation, Inc.

   This file is part of the Windows32 API Library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation, 
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   -----------
   DAL 2003 - this file modified extensively for my compiler.  New
   definitionswnwn added as well.
*/ 

#ifdef __cplusplus
extern "C" {
#endif

#ifdef UNICODE
WINBOOL  PASCAL     GetOpenFileNameW(LPOPENFILENAME);
WINBOOL  PASCAL     GetSaveFileNameW(LPOPENFILENAME);
short PASCAL     GetFileTitleW(LPCWSTR, LPWSTR, WORD);
WINBOOL  PASCAL ChooseColorW(LPCHOOSECOLOR);
HWND  PASCAL    FindTextW(LPFINDREPLACE);
WINBOOL PASCAL ChooseFontW(LPCHOOSEFONT);
WINBOOL  PASCAL  PrintDlgW(LPPRINTDLG);
HRESULT  PASCAL  PrintDlgExW(LPPRINTDLGEX);
WINBOOL PASCAL PageSetupDlgW( LPPAGESETUPDLG );
#define GetOpenFileName  GetOpenFileNameW
#define GetSaveFileName  GetSaveFileNameW
#define GetFileTitle  GetFileTitleW
#define ChooseColor  ChooseColorW
#define FindText  FindTextW
#define ChooseFont  ChooseFontW
#define PrintDlg  PrintDlgW
#define PrintDlgEx  PrintDlgExW
#define PageSetupDlg  PageSetupDlgW
#else
WINBOOL  PASCAL     GetOpenFileNameA(LPOPENFILENAME);
WINBOOL  PASCAL     GetSaveFileNameA(LPOPENFILENAME);
short PASCAL     GetFileTitleA(LPCSTR, LPSTR, WORD);
WINBOOL  PASCAL ChooseColorA(LPCHOOSECOLOR);
HWND  PASCAL    FindTextA(LPFINDREPLACE);
WINBOOL PASCAL ChooseFontA(LPCHOOSEFONT);
WINBOOL  PASCAL  PrintDlgA(LPPRINTDLG);
HRESULT  PASCAL  PrintDlgExA(LPPRINTDLGEX);
WINBOOL PASCAL PageSetupDlgA( LPPAGESETUPDLG );
#define GetOpenFileName  GetOpenFileNameA
#define GetSaveFileName  GetSaveFileNameA
#define GetFileTitle  GetFileTitleA
#define ChooseColor  ChooseColorA
#define FindText  FindTextA
#define ChooseFont  ChooseFontA
#define PrintDlg  PrintDlgA
#define PrintDlgEx  PrintDlgExA
#define PageSetupDlg  PageSetupDlgA
#endif


#ifdef UNICODE
#endif

#ifndef _MAC
#ifdef UNICODE
HWND  PASCAL    ReplaceTextW(LPFINDREPLACE);
#define ReplaceText  ReplaceTextW
#else
HWND  PASCAL    ReplaceTextA(LPFINDREPLACE);
#define ReplaceText  ReplaceTextA
#endif
#else
#ifdef UNICODE
HWND  PASCAL    AfxReplaceTextW(LPFINDREPLACE);
#define AfxReplaceText  AfxReplaceTextW
#else
HWND  PASCAL    AfxReplaceTextA(LPFINDREPLACE);
#define AfxReplaceText  AfxReplaceTextA
#endif
#endif

DWORD PASCAL     CommDlgExtendedError(void);

#ifdef __cplusplus
} ;
#endif

